import { ExtractPropTypes, PropType } from "vue";
export declare const vBarcodeProps: {
    readonly value: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly type: {
        readonly type: PropType<"svg" | "div" | "img">;
        readonly default: "svg";
    };
    readonly width: {
        readonly type: NumberConstructor;
        readonly default: 2;
    };
    readonly height: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly format: {
        readonly type: PropType<BarcodeFormat>;
        readonly default: "CODE128";
    };
    readonly displayValue: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly fontOptions: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly font: {
        readonly type: StringConstructor;
        readonly default: "monospace";
    };
    readonly text: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly textAlign: {
        readonly type: StringConstructor;
        readonly default: "center";
    };
    readonly textPosition: {
        readonly type: StringConstructor;
        readonly default: "bottom";
    };
    readonly textMargin: {
        readonly type: NumberConstructor;
        readonly default: 2;
    };
    readonly fontSize: {
        readonly type: NumberConstructor;
        readonly default: 20;
    };
    readonly background: {
        readonly type: StringConstructor;
        readonly default: "#ffffff";
    };
    readonly lineColor: {
        readonly type: StringConstructor;
        readonly default: "#000000";
    };
    readonly margin: {
        readonly type: NumberConstructor;
        readonly default: 10;
    };
    readonly marginTop: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly marginBottom: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly marginLeft: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly marginRight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly valid: {
        readonly type: PropType<() => Boolean>;
        readonly default: () => void;
    };
};
export declare type BarcodeFormat = "CODE39" | "CODE128" | "CODE128A" | "CODE128B" | "CODE128C" | "EAN13" | "EAN8" | "EAN5" | "EAN2" | "UPC" | "ITF14" | "ITF" | "MSI" | "MSI10" | "MSI11" | "MSI1010" | "MSI1110" | "pharmacode" | "codabar";
export declare type VBarcodeProps = ExtractPropTypes<typeof vBarcodeProps>;
declare const _default: import("vue").DefineComponent<{
    value: {
        type: StringConstructor;
        required: true;
    };
    type: {
        type: PropType<"svg" | "div" | "img">;
        default: string;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    format: {
        type: PropType<BarcodeFormat>;
        default: string;
    };
    displayValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    fontOptions: {
        type: StringConstructor;
        default: string;
    };
    font: {
        type: StringConstructor;
        default: string;
    };
    text: {
        type: StringConstructor;
        default: undefined;
    };
    textAlign: {
        type: StringConstructor;
        default: string;
    };
    textPosition: {
        type: StringConstructor;
        default: string;
    };
    textMargin: {
        type: NumberConstructor;
        default: number;
    };
    fontSize: {
        type: NumberConstructor;
        default: number;
    };
    background: {
        type: StringConstructor;
        default: string;
    };
    lineColor: {
        type: StringConstructor;
        default: string;
    };
    margin: {
        type: NumberConstructor;
        default: number;
    };
    marginTop: {
        type: NumberConstructor;
        default: undefined;
    };
    marginBottom: {
        type: NumberConstructor;
        default: undefined;
    };
    marginLeft: {
        type: NumberConstructor;
        default: undefined;
    };
    marginRight: {
        type: NumberConstructor;
        default: undefined;
    };
    valid: {
        type: PropType<() => Boolean>;
        default: () => void;
    };
}, {
    barcode: import("vue").Ref<null>;
    draw: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    value: {
        type: StringConstructor;
        required: true;
    };
    type: {
        type: PropType<"svg" | "div" | "img">;
        default: string;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    format: {
        type: PropType<BarcodeFormat>;
        default: string;
    };
    displayValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    fontOptions: {
        type: StringConstructor;
        default: string;
    };
    font: {
        type: StringConstructor;
        default: string;
    };
    text: {
        type: StringConstructor;
        default: undefined;
    };
    textAlign: {
        type: StringConstructor;
        default: string;
    };
    textPosition: {
        type: StringConstructor;
        default: string;
    };
    textMargin: {
        type: NumberConstructor;
        default: number;
    };
    fontSize: {
        type: NumberConstructor;
        default: number;
    };
    background: {
        type: StringConstructor;
        default: string;
    };
    lineColor: {
        type: StringConstructor;
        default: string;
    };
    margin: {
        type: NumberConstructor;
        default: number;
    };
    marginTop: {
        type: NumberConstructor;
        default: undefined;
    };
    marginBottom: {
        type: NumberConstructor;
        default: undefined;
    };
    marginLeft: {
        type: NumberConstructor;
        default: undefined;
    };
    marginRight: {
        type: NumberConstructor;
        default: undefined;
    };
    valid: {
        type: PropType<() => Boolean>;
        default: () => void;
    };
}>>, {
    type: "svg" | "div" | "img";
    width: number;
    height: number;
    format: BarcodeFormat;
    displayValue: boolean;
    fontOptions: string;
    font: string;
    text: string;
    textAlign: string;
    textPosition: string;
    textMargin: number;
    fontSize: number;
    background: string;
    lineColor: string;
    margin: number;
    marginTop: number;
    marginBottom: number;
    marginLeft: number;
    marginRight: number;
    valid: () => Boolean;
}>;
export default _default;
